<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user') as $inc) {
    require_once "../sys/inc/{$inc}.php";
}

access('adm_changelog', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Журнал изменений');

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='card-header'>";
echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/changelog.php'>" . lang('Журнал изменений') . "</a>";
echo "</div>";

$r = (isset($_GET['r'])) ? htmlspecialchars($_GET['r']) : null;
switch ($r) {
    default:

        $doc->Link('list-group-item', '?r=7.1.0', 'folder', 'DCMS Special 7.1.0');
        $doc->Link('list-group-item', '?r=7.1.1', 'folder', 'DCMS Special 7.1.1');
        $doc->Link('list-group-item', '?r=7.1.2', 'folder', 'DCMS Special 7.1.2');

        break;

    case '7.1.0':
        echo "<div class='list-group-item'>Обновления версии 7.1.0</div>";
        echo "<div class='list-group-item'>";

        if (is_file(H . 'sys/txt/version/710.txt')) {
            $f = file(H . 'sys/txt/version/710.txt');
            for ($i = 0; $i < 99999 && $i < count($f); $i++) {
                echo toOutput($f[$i]);
            }
        }

        echo "</div>";

        break;
    case '7.1.1':
        echo "<div class='list-group-item'>Обновления версии 7.1.1</div>";
        echo "<div class='list-group-item'>";

        if (is_file(H . 'sys/txt/version/711.txt')) {
            $f = file(H . 'sys/txt/version/711.txt');
            for ($i = 0; $i < 99999 && $i < count($f); $i++) {
                echo toOutput($f[$i]);
            }
        }

        echo "</div>";

        break;

    case '7.1.2':
        echo "<div class='list-group-item'>Обновления версии 7.1.2</div>";
        echo "<div class='list-group-item'>";

        if (is_file(H . 'sys/txt/version/712.txt')) {
            $f = file(H . 'sys/txt/version/712.txt');
            for ($i = 0; $i < 99999 && $i < count($f); $i++) {
                echo toOutput($f[$i]);
            }
        }

        echo "</div>";

        break;
}

require_once H . 'sys/inc/tfoot.php';
