<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user', 'shif') as $inc) {
    require_once "../sys/inc/$inc.php";
}


only_reg();

$set['title'] = lang('Настройки');
require_once H . 'sys/inc/thead.php';

aut();
err();

$razdel = (isset($_GET['act'])) ? htmlspecialchars($_GET['act']) : null;

switch ($razdel) {
    default:

        #Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Настройки');
        echo "</div>";

        $doc->Link('list-group-item', '?act=other', 'cog', 'Общие');
        $doc->Link('list-group-item', '?act=view', 'photo', 'Вид');
        $doc->Link('list-group-item', '/user/color_panel.php?set', 'magic', 'Стиль панели');
        $doc->Link('list-group-item', '?act=time', 'clock-o', 'Время');
        $doc->Link('list-group-item', '?act=private', 'lock', 'Приватность');
        $doc->Link('list-group-item', '?act=password', 'key', 'Пароль');
        $doc->Link('list-group-item', '?act=language', 'language', 'Язык');

        break;

    #Сохранение параметров языка
    case 'language_save':

        if (isset($_POST['save'])) {

            #если гость
            if ($user['id'] < 1) {
                $_SESSION['lang'] = $_POST['lang'];
            } else {
                #если юзер
                mysql_query("UPDATE `user` SET `lang` = '" . mysql_real_escape_string($_POST['lang']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
                #Удаляем кэш
                cache_delete::user($user['id']);
            }
            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: settings.php?act=language" . SID);
            exit;
        }
        break;

    #Форма вывода пароля
    case 'language':

        #Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Язык');
        echo "</div>";

        echo "<form method='post' class='list-group-item' action='settings.php?act=language_save'>";

        if ($user['lang'] == 'en') {
            $lang = lang("Английский");
        } elseif ($user['lang'] == 'ru') {
            $lang = lang("Русский");
        }

        echo lang('Язык') . ": $lang<br />";
        echo "<select name='lang' class='form-control' style='width: 50%;'>";
        $lang_list = mysql_query("SELECT * FROM `lang_list`");
        while ($post = mysql_fetch_assoc($lang_list)) {
            echo "<option value='" . $post['name_g'] . "' " . ($post['name_g'] == $set['lang'] ? " selected='selected'" : null) . ">" . $post['name'] . "</option>";
        }
        echo "</select><br />";

        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

        echo "</form>";

        break;

    #Сохранение параметров пароля
    case 'password_save':

        if (isset($_POST['save'])) {
            if (isset($_POST['pass']) and mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = $user[id] AND `pass` = '" . shif($_POST['pass']) . "' LIMIT 1"), 0) == 1) {
                if (isset($_POST['pass1']) && isset($_POST['pass2'])) {
                    if ($_POST['pass1'] == $_POST['pass2']) {
                        if (utf8_strlen($_POST['pass1']) < 6) {
                            $err = lang('По соображениям безопасности новый пароль не может быть короче 6-ти символов');
                        }
                        if (utf8_strlen($_POST['pass1']) > 32) {
                            $err = lang('Длина пароля превышает 32 символа');
                        }
                    } else {
                        $err = lang('Новый пароль не совпадает с подтверждением');
                    }
                } else {
                    $err = lang('Введите новый пароль');
                }
            } else {
                $err = lang('Старый пароль неверен');
            }

            //Поисковое слово
            $world_set_update = $_POST['pass1'];
            //файл где ищем
            $file_default = file_get_contents(H . 'sys/txt/if_password.txt');

            //если  нету записываем 
            if (stripos($file_default, $world_set_update) !== false) {
                $err = lang('Новый пароль слишком простой');
            }

            if (!isset($err)) {
                mysql_query("UPDATE `user` SET `pass` = '" . shif($_POST['pass1']) . "' , `pass_time` = '" . time() . "' WHERE `id` = '$user[id]' LIMIT 1");
                setcookie('pass', cookie_encrypt($_POST['pass1'], $user['id']), time() + 60 * 60 * 24 * 365);
                $_SESSION['message'] = lang("Изменения сохранены");
                header("Location: settings.php?act=password" . SID);
                exit;
            } else {
                $_SESSION['err'] = "$err";
                header("Location: settings.php?act=password" . SID);
                exit;
            }
        }
        break;

    #Форма вывода пароля
    case 'password':

        #Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Пароль');
        echo "</div>";

        echo "<form class='list-group-item' action='settings.php?act=password_save' method='POST'>";

        $doc->Input('pass', 'Старый пароль', 50);
        $doc->Input('pass1', 'Новый пароль', 50, null, 'form-control', 'password');
        $doc->Input('pass2', 'Подтверждение', 50, null, 'form-control', 'password');
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

        echo "</form>";

        break;

    #Сохранение и вывод параметров приватности
    case 'private':

        #Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Приватность');
        echo "</div>";

        if (isset($_GET['ank'])) {
            echo "<div class='list-group-item'>";
            echo "<ul class='nav nav-pills'>";
            echo "<li class='nav-item'><a class='nav-link' href='settings.php?act=private'>" . lang('Профиль') . "</a></li>";
            echo "<li class='nav-item'><a class='nav-link active'>" . lang('Анкета') . "</a></li>";
            echo "</ul>";
            echo "</div>";

            if (isset($_POST['anketa'])) {
                if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass'))) {
                    $access = $_POST['access'];
                } else {
                    $access = 'all';
                }
                if ($access == 'pass') {
                    if (utf8_strlen($_POST['passwd']) < 1) {
                        $err[] = 'Введите пароль.';
                    }
                    if (utf8_strlen($_POST['passwd']) > 16) {
                        $err[] = 'Пароль слишком длинный.';
                    }
                    $password = $_POST['passwd'];
                } else {
                    $password = NULL;
                }

                if (!isset($err)) {
                    mysql_query("UPDATE `user` SET `anketa_access` = '$access', `anketa_password` = '" . mysql_real_escape_string($password) . "' WHERE `id` = '$user[id]'");
                    $_SESSION['message'] = lang("Изменения сохранены");
                    header("Location: settings.php?act=private&ank" . SID);
                    exit;
                }
            }

            if (!isset($user)) {
                err('Доступ закрыт гостям');
            } else {
                echo "<form class='list-group-item' action='settings.php?act=private&amp;ank' method='POST'>";
                echo "<b>" . lang('Кому доступна моя анкета') . "?</b><br />";

                $doc->Radio('access', 'Всем', 'all', "" . ($user['anketa_access'] == 'all' ? " checked='checked'" : null) . "", 'globe');
                $doc->Radio('access', 'Только мне', 'only_me', "" . ($user['anketa_access'] == 'only_me' ? " checked='checked'" : null) . "", 'lock');
                $doc->Radio('access', 'Только друзьям', 'friends', "" . ($user['anketa_access'] == 'friends' ? " checked='checked'" : null) . "", 'key');
                $doc->Radio('access', 'Только по паролю', 'pass', "" . ($user['anketa_access'] == 'pass' ? " checked='checked'" : null) . "", 'globe');

                echo lang('Пароль') . "<br />";
                echo "<input name='passwd' length='16' type='text' value='" . htmlspecialchars($user['anketa_password']) . "' class='form-control'><br />";

                $doc->Button('btn btn-success btn-sm', 'anketa', 'save', 'Сохранить');

                echo "</form>";

                require_once H . 'sys/inc/tfoot.php';
                exit();
            }
        }

        if (!isset($user)) {
            err('Доступ закрыт гостям');
        } else {
            echo "<div class='list-group-item'>";
            echo "<ul class='nav nav-pills'>";
            echo "<li class='nav-item'><a class='nav-link active'>" . lang('Профиль') . "</a></li>";
            echo "<li class='nav-item'><a class='nav-link' href='settings.php?act=private&amp;ank'>" . lang('Анкета') . "</a></li>";
            echo "</ul>";
            echo "</div>";

            if (isset($_POST['profile'])) {
                if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass'))) {
                    $access = $_POST['access'];
                } else {
                    $access = 'all';
                }
                if ($access == 'pass') {
                    if (utf8_strlen($_POST['passwd']) < 1) {
                        $err[] = 'Введите пароль.';
                    }
                    if (utf8_strlen($_POST['passwd']) > 16) {
                        $err[] = 'Пароль слишком длинный.';
                    }
                    $password = $_POST['passwd'];
                } else {
                    $password = NULL;
                }

                if (!isset($err)) {
                    mysql_query("UPDATE `user` SET `profile_access` = '$access', `profile_password` = '" . mysql_real_escape_string($password) . "' WHERE `id` = '$user[id]'");
                    $_SESSION['message'] = lang("Изменения сохранены");
                    header("Location: settings.php?act=private" . SID);
                    exit;
                }
            }

            if (!isset($user)) {
                err('Доступ закрыт гостям');
            } else {
                echo "<form class='list-group-item' action='settings.php?act=private' method='POST'>";
                echo "<b>" . lang('Кому доступен мой профиль') . "?</b><br />";

                $doc->Radio('access', 'Всем', 'all', "" . ($user['profile_access'] == 'all' ? " checked='checked'" : null) . "", 'globe');
                $doc->Radio('access', 'Только мне', 'only_me', "" . ($user['profile_access'] == 'only_me' ? " checked='checked'" : null) . "", 'lock');
                $doc->Radio('access', 'Только друзьям', 'friends', "" . ($user['profile_access'] == 'friends' ? " checked='checked'" : null) . "", 'key');
                $doc->Radio('access', 'Только по паролю', 'pass', "" . ($user['profile_access'] == 'pass' ? " checked='checked'" : null) . "", 'globe');

                echo lang('Пароль') . "<br />";
                echo "<input name='passwd' length='16' type='text' value='" . htmlspecialchars($user['profile_password']) . "' class='form-control'><br />";

                $doc->Button('btn btn-success btn-sm', 'profile', 'save', 'Сохранить');
                echo "</form>";
            }
        }

        break;

    #Сохранение параметров времени
    case 'time_save':

        if (isset($_POST['save'])) {
            $user['set_times'] = (isset($_POST['set_times']) && $_POST['set_times']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_times` = '" . mysql_real_escape_string($user['set_times']) . "' WHERE `id` = '$user[id]' LIMIT 1");

            if (isset($_POST['set_timesdvig']) && (is_numeric($_POST['set_timesdvig']) && $_POST['set_timesdvig'] >= -12 && $_POST['set_timesdvig'] <= 12)) {
                $user['set_timesdvig'] = intval($_POST['set_timesdvig']);
                mysql_query("UPDATE `user` SET `set_timesdvig` = '$user[set_timesdvig]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка временной зоны');
            }

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: settings.php?act=time" . SID);
            exit;
        }
        break;

#Форма вывода времени
    case 'time':

#Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Время');
        echo "</div>";

        echo "<form class='list-group-item' action='settings.php?act=time_save' method='POST'>";

        echo lang('Время') . ":<br />";
        echo "<select class='form-control' name='set_timesdvig' style='width: 50%;'>";
        for ($i = - 12; $i < 12; $i++) {
            echo "<option value = '$i'" . ($user['set_timesdvig'] == $i ? " selected = 'selected'" : null) . ">" . date("G:i", $time + $i * 60 * 60) . "</option>\n";
        }
        echo "</select>";

        $doc->Checkbox('set_times', 'Время в заголовке', 1, "" . ($user['set_times'] ? " checked='checked'" : null) . "");

        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;

#Сохранение параметров из вида
    case 'view_save':

        if (isset($_POST['save'])) {
            if (isset($_POST['set_p_str']) && is_numeric($_POST['set_p_str']) && $_POST['set_p_str'] > 0 && $_POST['set_p_str'] <= 100) {
                $user['set_p_str'] = intval($_POST['set_p_str']);
                $set['p_str'] = $user['set_p_str'];
                mysql_query("UPDATE `user` SET `set_p_str` = '" . $user['set_p_str'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество пунктов на страницу');
            }
            if (isset($_POST['set_them_forum_num']) && is_numeric($_POST['set_them_forum_num']) && $_POST['set_them_forum_num'] > 0 && $_POST['set_them_forum_num'] <= 10) {
                $user['set_them_forum_num'] = intval($_POST['set_them_forum_num']);
                mysql_query("UPDATE `user` SET `set_them_forum_num` = '" . $user['set_them_forum_num'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество тем форума');
            }
            if (isset($_POST['set_them_diary_num']) && is_numeric($_POST['set_them_diary_num']) && $_POST['set_them_diary_num'] > 0 && $_POST['set_them_diary_num'] <= 10) {
                $user['set_them_diary_num'] = intval($_POST['set_them_diary_num']);
                mysql_query("UPDATE `user` SET `set_them_diary_num` = '" . $user['set_them_diary_num'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество блогов');
            }

            if (isset($_POST['set_online']) && ($_POST['set_online'] == 3 || $_POST['set_online'] == 2 || $_POST['set_online'] == 1 || $_POST['set_online'] == 0)) {
                $user['set_online'] = intval($_POST['set_online']);
                mysql_query("UPDATE `user` SET `set_online` = '$user[set_online]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка вывода панели онлайн');
            }

            if (isset($_POST['set_online_view']) && ($_POST['set_online_view'] == 4 || $_POST['set_online_view'] == 3 || $_POST['set_online_view'] == 2 || $_POST['set_online_view'] == 1)) {
                $user['set_online_view'] = intval($_POST['set_online_view']);
                mysql_query("UPDATE `user` SET `set_online_view` = '$user[set_online_view]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка вида панели онлайн');
            }

            $user['set_news'] = (isset($_POST['set_news']) && $_POST['set_news']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_news` = '" . mysql_real_escape_string($user['set_news']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_forum'] = (isset($_POST['set_forum']) && $_POST['set_forum']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_forum` = '" . mysql_real_escape_string($user['set_forum']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_diary'] = (isset($_POST['set_diary']) && $_POST['set_diary']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_diary` = '" . mysql_real_escape_string($user['set_diary']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_files_include'] = (isset($_POST['set_files_include']) && $_POST['set_files_include']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_files_include` = '" . mysql_real_escape_string($user['set_files_include']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_news_comments'] = (isset($_POST['set_news_comments']) && $_POST['set_news_comments']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_news_comments` = '" . mysql_real_escape_string($user['set_news_comments']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");


            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: settings.php?act=view" . SID);
            exit;
        }
        break;

#Вид
    case 'view':

#Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Вид');
        echo "</div>";

        echo "<form name='settings' class='list-group-item' action='settings.php?act=view_save' method='POST'>";

        $doc->Input('set_p_str', 'Пунктов на страницу', 3, "$set[p_str]");
        $doc->Input('set_them_forum_num', 'Количество выводимых тем форума на главной', 3, "$user[set_them_forum_num]");
        $doc->Input('set_them_diary_num', 'Количество выводимых блогов на главной', 3, "$user[set_them_diary_num]");
        $doc->Checkbox('set_news', 'Фото в новостях', 1, "" . ($user['set_news'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_news_comments', 'Комментарии в новостях', 1, "" . ($user['set_news_comments'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_forum', 'Вывод тем форума на главной', 1, "" . ($user['set_forum'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_diary', 'Вывод блогов на главной', 1, "" . ($user['set_diary'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_files_include', 'Вывод файлов на главной', 1, "" . ($user['set_files_include'] ? " checked='checked'" : null) . "");

        echo "<hr>";
        echo lang("Вывод онлайн панели") . "<br />";
        $doc->Radio('set_online', 'Только данные', 3, "" . ($user['set_online'] == 3 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Только аватары', 2, "" . ($user['set_online'] == 2 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Данные и аватары', 1, "" . ($user['set_online'] == 1 ? " checked='checked'" : null) . "");
        $doc->Radio('set_online', 'Отключить', 0, "" . ($user['set_online'] == 0 ? " checked='checked'" : null) . "");
        echo "<hr>";
        echo lang("Вид онлайн панели") . "<br />";
        echo "<label class='c-input c-radio'><input name='set_online_view' type='radio' " . ($user['set_online_view'] == 1 ? " checked='checked'" : null) . " value='1' /><span class='c-indicator'></span> " . lang('Онлайн') . " 235 | " . lang('Гостей') . " 452</label><br />";
        echo "<label class='c-input c-radio'><input name='set_online_view' type='radio' " . ($user['set_online_view'] == 2 ? " checked='checked'" : null) . " value='2' /><span class='c-indicator'></span> " . lang('Онлайн') . " 235 (" . lang('Гостей') . " 452)</label><br />";
        echo "<label class='c-input c-radio'><input name='set_online_view' type='radio' " . ($user['set_online_view'] == 3 ? " checked='checked'" : null) . " value='3' /><span class='c-indicator'></span> " . lang('Онлайн') . " 235 (+452)</label><br />";
        echo "<label class='c-input c-radio'><input name='set_online_view' type='radio' " . ($user['set_online_view'] == 4 ? " checked='checked'" : null) . " value='4' /><span class='c-indicator'></span> " . lang('Онлайн') . " 687</label><br />";


        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;

#Общие настройки сохранение
    case 'other_save':

        if (isset($_POST['save'])) {
            $user['set_files'] = (isset($_POST['set_files']) && $_POST['set_files']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_files` = '" . mysql_real_escape_string($user['set_files']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_news_to_mail'] = (isset($_POST['set_news_to_mail']) && $_POST['set_news_to_mail']) ? '1' : '0';
            mysql_query("UPDATE `user` SET `set_news_to_mail` = '" . mysql_real_escape_string($user['set_news_to_mail']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: settings.php?act=other" . SID);
            exit;
        }
        break;

#Общие настройки
    case 'other':

#Навигация
        echo "<div class='card-header'>";
        echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings.php'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Общие');
        echo "</div>";

        echo "<form name='settings' class='list-group-item' action='settings.php?act=other_save' method='POST'>";

        $doc->Checkbox('set_files', 'Выгрузка файлов', 1, "" . ($user['set_files'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_news_to_mail', 'Присылать новости на E-mail', 1, "" . ($user['set_news_to_mail'] ? " checked='checked'" : null) . "");
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;
}

require_once H . 'sys/inc/tfoot.php';
