
CREATE TABLE IF NOT EXISTS `adm_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `url` varchar(1024) DEFAULT NULL,
  `counter` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `icon` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pos` (`pos`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `adm_menu` (`id`, `name`, `url`, `counter`, `pos`, `icon`) VALUES
(1, 'Проверка CHMOD', '/panel/chmod.php', '', 1, 'outdent'),
(2, 'Конфигурация сервера', '/panel/conf_server.php', '', 2, 'server'),
(3, 'Статистика сайта', '/panel/statistic.php', '', 3, 'bar-chart'),
(4, 'Журнал изменений', '/panel/changelog.php', '', 4, 'file-text-o'),
(5, 'Администрация', '/panel/administration.php', '', 5, 'user'),
(6, 'Действия администрации', '/panel/adm_log.php', '', 6, 'list-alt'),
(7, 'Главное меню', '/panel/menu.php', '', 7, 'th-list'),
(8, 'Кабинет', '/panel/umenu.php', '', 8, 'th-list'),
(9, 'Панель управления', '/panel/adm_menu.php', '', 9, 'th'),
(10, 'Реклама и баннеры', '/panel/rekl.php', '', 10, 'bullhorn'),
(11, 'Система', '/panel/settings_sys.php', '', 11, 'cog'),
(12, 'Пользователи', '/panel/settings_user.php', '', 12, 'group'),
(13, 'Фотогалерея', '/panel/settings_foto.php', '', 13, 'photo'),
(14, 'Должности', '/panel/user_group.php', '', 14, 'crop'),
(15, 'Привилегии', '/panel/accesses.php', '', 15, 'check-square-o'),
(16, 'Панель ссылок', '/user/links/?admin', '', 16, 'location-arrow'),
(17, 'Список забаненых', '/panel/banlist.php', '', 17, 'gavel'),
(18, 'Рефералы', '/panel/referals.php', '', 18, 'link'),
(19, 'IP операторы', '/panel/opsos.php', '', 19, 'pencil-square-o'),
(20, 'Почта', '/panel/settings_mail.php', '', 20, 'envelope'),
(21, 'MySQL запросы', '/panel/mysql.php', '', 21, 'shield'),
(22, 'Смайлы', '/modules/smiles/admin/', '', 22, 'smile-o'),
(23, 'Подарки', '/modules/gifts/admin.php', '', 23, 'gift'),
(24, 'Рассылка сообщений', '/panel/send_mess.php', '', 24, 'reply-all'),
(25, 'Рассылка уведомлений', '/panel/send_notification.php', '', 25, 'reply-all'),
(26, 'Рассылка рублей', '/panel/send_money.php', '', 26, 'reply-all'),
(27, 'Удаление пользователей', '/panel/delete_users.php', '', 27, 'user-times'),
(28, 'Игры и приложения', '/panel/games.php', '', 28, 'cubes');


