<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

if (!is_file(LF_PATH . '.GIF') && class_exists('ffmpeg_movie')) {
    $media = new ffmpeg_movie(LF_PATH);
    $k_frame = intval($media->getFrameCount());

    $w = $media->GetFrameWidth();
    $h = $media->GetFrameHeight();
    $k_kadr = 6; // количество кадров в анимации
    for ($i = 0; $i < $k_kadr; $i++) {
        $ff_frame = $media->getFrame(intval($k_frame / ($k_kadr / ($i + 1))));
        if ($ff_frame) {
            $gd_image = $ff_frame->toGDImage();
            if ($gd_image) {
                $frames[$i] = H . "sys/tmp/frame_$sess.$i.gif";
                imagegif($gd_image, $frames[$i]);
                @chmod($frames[$i], 0777);
                $framed [$i] = 60;
                imagedestroy($gd_image);
            }
        }
    }
    include_once H . 'sys/classes/gifdecoder.class.php';
    $gif = @new GIFEncoder($frames, $framed, 0, 2, 0, 0, 0, 'url');

    $screen = $gif->GetAnimation();
    @file_put_contents(LF_PATH . '.GIF', $screen);
    @chmod(LF_PATH . '.GIF', 0777);
}

echo "<div class='list-group-item'><center>$file_id[name]</center></div>";

include 'inc/screens.php';

echo "<div class='list-group-item'>";
if ($file_id['opis']) {
    echo "<font color='green'>";
    echo toOutput($file_id['opis']);
    echo "</font>\n";
}

echo "<hr><small>";
if (class_exists('ffmpeg_movie')) {
    $media = new ffmpeg_movie(LF_PATH);

    echo lang('Разрешение') . ': ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
    echo lang('Частота кадров') . ': ' . $media->getFrameRate() . "<br />\n";
    echo lang('Кодек') . ' (видео): ' . $media->getVideoCodec() . "<br />\n";

    if (intval($media->getDuration()) > 3599) {
        echo lang('Время') . ': ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
    } elseif (intval($media->getDuration()) > 59) {
        echo lang('Время') . ': ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
    } else {
        echo lang('Время') . ': ' . intval($media->getDuration()) . " сек<br />\n";
    }
    echo lang('Битрейт') . ": " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
}
$ank = get_user($file_id['id_user']);
echo lang("Добавлен") . ": " . date::times($file_id['time']) . " (<a href='/info.php?id=$ank[id]'>$ank[nick]</a>)<br />\n";

echo "</small></div>";
