<?php

/* DCMS Special
 * Дата последнего редактирования 20.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Поиск файлов'); // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();

define('DIR_OBMEN', '/modules/obmen/');

#Навигация
echo "<div class='card-header'>";
echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_OBMEN . "'>" . lang('Обменник') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Поиск');
echo "</div>";

$search = NULL;

if (isset($_SESSION['search'])) {
    $search = $_SESSION['search'];
}

if (isset($_POST['search'])) {
    $search = $_POST['search'];
}

$_SESSION['search'] = $search;

$search = preg_replace("#( ){2,}#", " ", $search);
$search = preg_replace("#^( ){1,}|( ){1,}$#", "", $search);

if (isset($_GET['go']) && $search != NULL) {
    $search_a = explode(' ', $search);

    for ($i = 0; $i < count($search_a); $i++) {
        $search_a2[$i] = '<b>' . stripcslashes(htmlspecialchars($search_a[$i])) . '</b>';
        $search_a[$i] = stripcslashes(htmlspecialchars($search_a[$i]));
    }

    $q_search = str_replace('%', '', $search);
    $q_search = str_replace(' ', '%', $q_search);

    if ($_POST['sort'] != 1) {
        $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `name` like '%" . mysql_real_escape_string($q_search) . "%'"), 0);
    } else {
        $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `opis` like '%" . mysql_real_escape_string($q_search) . "%'"), 0);
    }

    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        $doc->NoResult();
    }
    if ($_POST['sort'] != 1) {
        $q = mysql_query("SELECT * FROM `obmennik_files` WHERE `name` like '%" . mysql_real_escape_string($q_search) . "%' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
    } else {
        $q = mysql_query("SELECT * FROM `obmennik_files` WHERE `opis` like '%" . mysql_real_escape_string($q_search) . "%' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
    }

    $i = 0;
    while ($post = mysql_fetch_assoc($q)) {
        $ras = $post['ras'];
        $file = H . "sys/obmen/files/$post[id].dat";
        $name = $post['name'];
        $size = $post['size'];
        $dir = mysql_fetch_array(mysql_query("SELECT * FROM `obmennik_dir` WHERE `id` = '$post[id_dir]' LIMIT 1"));
        echo "<div class='list-group-item' style='margin-top: 2px;margin-bottom: 2px;'>\n";
        if ($post['ras'] == 'zip' || $post['ras'] == 'rar') {
            $r = "<span class='fa fa-file-archive-o fa-fw'></span>";
        } elseif ($post['ras'] == 'png' || $post['ras'] == 'jpg' || $post['ras'] == 'jpeg' || $post['ras'] == 'gif') {
            $r = "<span class='fa fa-file-image-o fa-fw'></span>";
        } elseif ($post['ras'] == 'mp3') {
            $r = "<span class='fa fa-file-audio-o fa-fw'></span>";
        } elseif ($post['ras'] == 'txt') {
            $r = "<span class='fa fa-file-text-o fa-fw'></span>";
        } elseif ($post['ras'] == 'mp4' || $post['ras'] == 'avi' || $post['ras'] == '3gp') {
            $r = "<span class='fa fa-file-video-o fa-fw'></span>";
        } elseif ($post['ras'] == 'php') {
            $r = "<span class='fa fa-file-code-o fa-fw'></span>";
        } else {
            $r = "<span class='fa fa-file-o fa-fw'></span>";
        }

        if ($set['echo_rassh'] == 1) {
            $ras = ".$post[ras]";
        } else {
            $ras = NULL;
        }

        echo "<a href='/modules/obmen$dir[dir]$post[name].$post[ras]?showinfo'>$r $post[name]$ras</a><br />\n";

        echo "<a href='/modules/obmen$dir[dir]?'><i class='fa fa-folder fa-fw'></i> $dir[name]</a>";

        echo "</div>";
    }
    if ($k_page > 1) {
        echo "<div class='list-group-item'>";
        str("search.php?go&amp;", $k_page, $page);
        echo "</div>";
    } // Вывод страниц
}

echo "<form method='post' action='search.php?go' class='list-group-item'>";
$search = stripcslashes(htmlspecialchars($search));
echo "<input class='form-control' type='text' name='search' maxlength='64' value='$search' />";
echo "Где искать :<br />";
echo "<select class='form-control' name='sort'>";
echo "<option value='0'>Название</option>\n";
echo "<option value='1'" . ($_POST['sort'] == 1 ? " selected='selected'" : null) . ">Описание</option>\n";
echo "</select><br />";
echo "<button class='btn btn-success'><span class='fa fa-search fa-fw'></span> Искать</button>";
echo "</form>";

require_once H . 'sys/inc/tfoot.php';
